Subject: Re: bug#12976: 24.2; C-c i is bound to custom function, but in a term buffer it gets bound to ido-insert-file

From: Glenn Morris <[email-masked]>
Date: Fri, 23 Nov 2012 22:43:04 -0500

Joseph Mingrone wrote:

> I bind C-c i to a custom function, but when I'm in a term buffer C-c i is
> bound to ido-insert-file. 

Nothing to do with ido, really, which just remaps insert-file.

emacs -Q -f term
bash RET

Now `C-c i' is bound to insert-file. I guess this is because
term-escape-char = C-c, and term-raw-escape-map has Control-X-prefix as
parent keymap. I don't know what, if anything, to do about this.